# avoid double-inclusion
ifndef ARCH_SPEC_GANGLIA
ARCH_SPEC_GANGLIA=ganglia

# arch_spec_ganglia.mk
#
# Support for use of the ganglia library
# http://ganglia.sourceforge.net/
#
# This file must be included *before* standard.mk
#

extpkg := ganglia

ifndef GANGLIA_DIR
	arch_spec_warning:=\
	"Environment variable GANGLIA_DIR not setup"
endif

GANGLIA_LIBS = -lganglia

include SoftRelTools/specialize_arch_spec.mk
include SoftRelTools/arch_spec_expat.mk
include SoftRelTools/arch_spec_apr.mk

override CPPFLAGS := -I$(GANGLIA_DIR)/include $(CPPFLAGS)
override LDFLAGS  := -L$(GANGLIA_DIR)/lib $(LDFLAGS)
override BINLIBS += $(GANGLIA_LIBS)

endif
