# arch_spec_mf.mk
#
# Definitions used for building libraries and applications that use
# the Message Facility.
#

extpkg := mf_shared

MF_LIBS=-lfhiclcpp -lcetlib

include SoftRelTools/arch_spec_boost.mk

override CPPFLAGS := -I$(MESSAGEFACILITY_INC) -I$(FHICLCPP_INC) -I${CETLIB_INC} -I${CPP0X_INC} $(CPPFLAGS)
override LDFLAGS  := -L$(MESSAGEFACILITY_LIB) -L$(FHICLCPP_LIB) -L${CETLIB_LIB} -L${CPP0X_LIB} $(LDFLAGS)
override BINLIBS  += $(MF_LIBS)
