# 
#   Generic Qt make file
#
#   J. Paley 2010/04/30
#
#
ifndef ARCH_SPEC_PGSQL
ARCH_SPEC_PGSQL=pgsql

extpkg := pgsql

PGSQL_DIR_DEFAULT := /nova/ups/postgres/v8_4_2/Linux64bit+2.6-2.5

ifndef PGSQL_DIR
	arch_spec_warning:=\
	"Using default value QTDIR = $(PGSQL_DIR_DEFAULT)"
	PGSQL_DIR = $(PGSQL_DIR_DEFAULT)
endif
ifndef PGSQL_INC
	PGSQL_INC = $(PGSQL_DIR)/include
endif
ifndef PGSQL_LIB
	PGSQL_LIB = $(PGSQL_DIR)/lib
endif

PGSQL_LIBES = -lpq

include SoftRelTools/specialize_arch_spec.mk

override CPPFLAGS := -I$(PGSQL_INC) $(CPPFLAGS)
override LDFLAGS  := -L$(PGSQL_LIB) $(LDFLAGS)
override BINLIBS  += $(PGSQL_LIBES)

endif
