# avoid double-inclusion
ifndef ARCH_SPEC_APR
ARCH_SPEC_APR=apr

# arch_spec_apr.mk
#
# Support for use of the expat library
#
# This file must be included *before* standard.mk
#

extpkg := apr

ifndef APR_DIR
	arch_spec_warning:=\
	"Environment variable APR_DIR not setup"
endif

APR_LIBS = -lapr-1

include SoftRelTools/specialize_arch_spec.mk

override CPPFLAGS := -I$(APR_DIR)/include/apr-1 $(CPPFLAGS)
override LDFLAGS  := -L$(APR_DIR)/lib $(LDFLAGS)
override BINLIBS += $(APR_LIBS)

endif
